/*********************************************************** Szczegoly filmu **************************************************/
#szczegol_film {
	justify-content: center;
	width: 75%;
	box-sizing: border-box;
}

#lista_filmszczegol #autor {
	padding-left: 1rem;
	border-left: 2px solid var(--maincolor);
	margin-left: 1rem;
	width: 25%;
	display: flex;
}

#szczegol_film #film {
	--moviewidth: calc(var(--pagewidth) * 0.75 - 3rem - 2px);
	width: var(--moviewidth);
	height: calc(var(--moviewidth) / 1.78);
	max-height: 100vh;
}

/*********************************************************** Podpis ****************************************************************/

#szczegol_film #nazwa {
	text-transform: uppercase;
	font-size: 2rem;
	letter-spacing: 0.1rem;
	color: var(--maincolor);
	margin-top: 0.75rem;
}

#szczegol_film #opis  {
	color: #333;
	font-size: 1.2rem;
	letter-spacing: 0.05rem;
	margin: 0.3rem 0 0.3rem;
}

#szczegol_film #tagi {
	margin-bottom: 0;
}

#szczegol_film #like {
	align-self: flex-start;
	margin-left: auto;
	min-width: 6rem;
	height: 2.75rem;
}

#szczegol_film #like #liczba {
	margin: auto 0.5rem 0 auto;
	color: #666;
	font-size: 1.33rem;
}

#szczegol_film #like img {
	align-self: center;
	margin-top: 0.15rem;
	height: 2.3rem;
	filter: grayscale(1) opacity(0.6);
	cursor: pointer;
}

#szczegol_film #like > img:hover {
	filter: none;
}

/***********************************************************************************************************************************/

@media screen and (max-width: 900px) {
	#lista_filmszczegol {
		flex-direction: column;
	}

	#szczegol_film {
		width: 100%;
	}

	#szczegol_film #film {
		--moviewidth: var(--pagewidth);
		background-color: black;
		margin-left: -1rem;
	}

	#lista_filmszczegol #autor {
		padding: 1rem 0 0;
		border-left: none;
		border-top: 2px solid var(--maincolor);
		margin: 1rem 0 0;
		width: 100%;
	}
}

/***********************************************************************************************************************************/

iframe {
	width: 100%;
	height: 100%;
	border: none;
}